-----------------------------------------------------------------------------
-- |
-- Module      :  Control.Concurrent.TBox
-- Copyright   :  Peter Robinson 2009
-- License     :  LGPL
--
-- Maintainer  :  Peter Robinson <thaldyron@gmail.com>
-- Stability   :  experimental
-- Portability :  non-portable (requires STM)
--
-- An abstract interface for transactional variables with IO hooks.
-- 
--
-----------------------------------------------------------------------------
module Control.Concurrent.TBox( -- * TBox type class
             TBox(..),
             -- * Operations on a TBox
             read,
             write,
             delete,
             isEmpty,
           )
            
where
import Control.Concurrent.TBox.Class
import Control.Concurrent.TBox.Operations
import Prelude hiding (read,readIO)
